## certmonger 0.79.21

=== .copr/Makefile ===
srpm:
	dnf -y install git
	$(eval version := $(shell grep AC_INIT configure.ac | cut -d, -f2 | rev | cut -c2- | rev))
	git config --global --add safe.directory `pwd`
	git archive -v --format=tar --prefix=certmonger-${version}/ HEAD | gzip > certmonger-${version}.tar.gz
	rpmbuild \
		--define "_sourcedir `pwd`" \
		--define "_srcrpmdir ${outdir}" \
		-bs `pwd`/certmonger.spec

## certmonger 0.50

=== debian/changelog ===
certmonger (0.50-0ubuntu1) precise; urgency=low

  * Pull from unreleased Debian branch.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 28 Nov 2011 13:53:24 +0200

certmonger (0.50-1) UNRELEASED; urgency=low

  * Initial release (Closes: #644367)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 26 Sep 2011 17:10:53 +0300

=== debian/control ===
Source: certmonger
Section: utils
Priority: extra
Maintainer: Timo Aaltonen <tjaalton@ubuntu.com>
Build-Depends: debhelper (>= 8), dh-autoreconf, autopoint, quilt, lsb-release,
 libdbus-1-dev,
 libcurl4-nss-dev,
 libxml2-dev,
 libxmlrpc-core-c3-dev,
 libtevent-dev,
 libssl-dev,
 uuid-dev,
 expect,
 libnss3-tools,
 dbus-x11,
 dos2unix,
Standards-Version: 3.9.2
Homepage: https://fedorahosted.org/certmonger/
Vcs-Git: git://git.debian.org/collab-maint/certmonger.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/certmonger.git;a=summary

Package: certmonger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: D-Bus -based service to simplify interaction with certificate authorities
 Certmonger is a D-Bus -based service which attempts to simplify
 interaction with certifying authorities (CAs) on networks which use
 public-key infrastructure (PKI).
 .
 If it knows the location of a certificate, certmonger can track the
 expiration date and notify you when the certificate is about to expire.
 .
 If it has access to the corresponding private key and information about
 the CA which issued the certificate, certmonger can even attempt to
 automatically obtain a new certificate.
 .
 Supports certificate and key storage in PEM or NSSDB formats.
 .
 Can self-sign certificates, or can submit them to either certmaster or
 development versions of IPA.

## certmonger 0.56

=== debian/changelog ===
certmonger (0.56-0ubuntu1) precise; urgency=low

  * Merge from debian git.
    - new bugfix release.
    - updated translations

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 21 Mar 2012 23:24:51 +0200

certmonger (0.56-1) UNRELEASED; urgency=low

  * Initial release (Closes: #644367)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 26 Sep 2011 17:10:53 +0300

certmonger (0.50-0ubuntu2) precise; urgency=low

  * Merge from debian git.
    - tarball-diff.patch: Explain diff between git tag and the released
    tarball. (LP: #899327)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 02 Jan 2012 22:07:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: certmonger
 Section: utils
 Priority: extra
-Maintainer: Timo Aaltonen <tjaalton@ubuntu.com>
+Maintainer: Ubuntu FreeIPA <freeipa@lists.launchpad.net>
+XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
+Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>
 Build-Depends: debhelper (>= 8), dh-autoreconf, autopoint, quilt, lsb-release,
  libdbus-1-dev,
  libcurl4-nss-dev,
@@ -16,8 +18,8 @@
  dos2unix,
 Standards-Version: 3.9.2
 Homepage: https://fedorahosted.org/certmonger/
-Vcs-Git: git://git.debian.org/collab-maint/certmonger.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/certmonger.git;a=summary
+Vcs-Git: git://git.debian.org/pkg-freeipa/certmonger.git
+Vcs-Browser: http://git.debian.org/?p=pkg-freeipa/certmonger.git;a=summary
 
 Package: certmonger
 Architecture: any

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://fedorahosted.org/released/certmonger/certmonger-(.*)\.tar\.gz

## certmonger 0.57

=== debian/changelog ===
certmonger (0.57-1) unstable; urgency=low

  * Initial release (Closes: #644367)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 29 Jun 2012 18:41:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: certmonger
 Section: utils
 Priority: extra
-Maintainer: Ubuntu FreeIPA <freeipa@lists.launchpad.net>
-XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
+Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>
 Build-Depends: debhelper (>= 8), dh-autoreconf, autopoint, quilt, lsb-release,
  libdbus-1-dev,
@@ -14,9 +13,12 @@
  uuid-dev,
  expect,
  libnss3-tools,
+ libnss3-dev,
  dbus-x11,
  dos2unix,
-Standards-Version: 3.9.2
+ libnspr4-dev,
+ openssl
+Standards-Version: 3.9.3
 Homepage: https://fedorahosted.org/certmonger/
 Vcs-Git: git://git.debian.org/pkg-freeipa/certmonger.git
 Vcs-Browser: http://git.debian.org/?p=pkg-freeipa/certmonger.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DISTRIBUTION = $(shell lsb_release -i | sed 's/.*:\t//')
INIT = init

ifeq ($(DISTRIBUTION), Ubuntu)
	INIT = upstart
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-tmpdir=/var/run/certmonger \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	cat $(CURDIR)/debian/certmonger.$(INIT).in > $(CURDIR)/debian/certmonger.$(INIT)

	dh_install --list-missing

override_dh_clean:
	dh_clean
	rm -f po/*.gmo
	rm -f $(CURDIR)/debian/certmonger.$(INIT)

%:
	dh $@ --with quilt,autoreconf --builddirectory=build/

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://fedorahosted.org/released/certmonger/certmonger-(.*)\.tar\.gz

## certmonger 0.74

=== debian/changelog ===
certmonger (0.74-0ubuntu1) trusty; urgency=medium

  * Sync from unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 09 Apr 2014 17:08:46 +0300

certmonger (0.74-1) UNRELEASED; urgency=low

  * New upstream release.
  * control: Bump policy to 3.9.5, no changes.
  * control, compat, .install: Bump compat to 9.
  * control, rules: Add support for systemd, install upstart job
    unconditionally.
  * rules: Add config options for hardened build.
  * fix-tests.diff: All the tests have bashisms, so use bash instead of
    /bin/sh.
  * control: Add libsystemd-login-dev to build-depends, sort them while
    at it.
  * install: Fix tmpfiles.d install path.
  * rules: Don't purge po/*.gmo on clean

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 11 Feb 2013 00:43:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,31 @@
 Source: certmonger
 Section: utils
 Priority: extra
-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu FreeIPA <freeipa@lists.launchpad.net>
+XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>
-Build-Depends: debhelper (>= 8), dh-autoreconf, autopoint, quilt, lsb-release,
+Build-Depends: debhelper (>= 9), dh-autoreconf, quilt,
+ autopoint,
+ dbus-x11,
+ dh-systemd,
+ dos2unix,
+ expect,
  libdbus-1-dev,
  libcurl4-nss-dev,
  libxml2-dev,
  libxmlrpc-core-c3-dev,
- libtevent-dev,
- libssl-dev,
- uuid-dev,
- expect,
+ libnspr4-dev,
  libnss3-tools,
  libnss3-dev,
- dbus-x11,
- dos2unix,
- libnspr4-dev,
- openssl
-Standards-Version: 3.9.3
+ libssl-dev,
+ libsystemd-daemon-dev,
+ libsystemd-login-dev,
+ libtevent-dev,
+ lsb-release,
+ openssl,
+ pkg-config,
+ uuid-dev,
+Standards-Version: 3.9.5
 Homepage: https://fedorahosted.org/certmonger/
 Vcs-Git: git://git.debian.org/pkg-freeipa/certmonger.git
 Vcs-Browser: http://git.debian.org/?p=pkg-freeipa/certmonger.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-tmpdir=/var/run/certmonger \
		--enable-systemd \
		--enable-pie \
		--enable-now \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	mkdir -p $(CURDIR)/debian/tmp/lib/systemd/system
	rm $(CURDIR)/build/systemd/Makefile
	cp $(CURDIR)/build/systemd/*.service $(CURDIR)/build/systemd/certmonger.path \
		 $(CURDIR)/debian/tmp/lib/systemd/system

override_dh_install:
	dh_install --list-missing

override_dh_clean:
	dh_clean
#	rm -f po/*.gmo

%:
	dh $@ --with quilt,autoreconf,systemd --builddirectory=build/

=== debian/watch ===
#git=git://git.fedorahosted.org/certmonger.git
version=3
https://fedorahosted.org/released/certmonger/certmonger-(.*)\.tar\.gz

## certmonger 0.79.14+git20211010

=== debian/changelog ===
certmonger (0.79.14+git20211010-2ubuntu1) jammy; urgency=medium

  * debian/patches/missing-library-linkage.patch: Add missing linkage to
    -lssl.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 14 Jan 2022 23:42:06 +0000

certmonger (0.79.14+git20211010-2) unstable; urgency=medium

  * control, rules: Build-depend on systemd instead of libsystemd-dev, and
    fix service file install.
  * rules: Enable tests but don't fail the build if they fail.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 11 Oct 2021 17:00:48 +0300

certmonger (0.79.14+git20211010-1) unstable; urgency=medium

  * New upstream snapshot.
    - support OpenSSL 3.0.0 (Closes: #995641)
  * Revert-Don-t-close-STDERR-when-submitting-request.patch: Dropped,
    not needed anymore.
  * control: Build with libcurl4-openssl-dev.
  * rules: Add gentarball target.
  * fix-apache-path.diff: Dropped, obsolete.
  * source: Use 3.0 (quilt).

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 10 Oct 2021 19:38:04 +0300

certmonger (0.79.13-3) unstable; urgency=medium

  * postrm: Remove more files on purge.
  * postinst: Don't try to remove certmaster if it's not available.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 Nov 2020 10:47:06 +0200

certmonger (0.79.13-2) unstable; urgency=medium

  * postinst: Don't fail if certmaster CA isn't found.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 02 Nov 2020 12:36:41 +0200

certmonger (0.79.13-1) unstable; urgency=medium

  * New upstream release.
  * control, postinst: Drop certmaster, build-depend on libjansson-dev
    instead of xmlrpc.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 28 Oct 2020 16:26:33 +0200

certmonger (0.79.11-1) unstable; urgency=medium

  * New upstream release.
  * rules: Use /run instead of /var/run.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 30 Jul 2020 15:20:43 +0300

certmonger (0.79.9-2) unstable; urgency=medium

  * Revert-Don-t-close-STDERR-when-submitting-request.patch: Revert a
    commit which for some reason causes server install to fail.
    (Closes: #955530)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 Apr 2020 00:06:30 +0300

certmonger (0.79.9-1) unstable; urgency=medium

  * New upstream release.
  * control: Use debhelper-compat, migrate to 12.
  * control: Bump policy to 4.5.0.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 24 Mar 2020 11:05:44 +0200

certmonger (0.79.6-2) unstable; urgency=medium

  * rules: Set homedir. (Closes: #852691)
  * control: Add nss-plugin-pem to Depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 May 2019 15:41:32 +0300

certmonger (0.79.6-1) unstable; urgency=medium

  * New upstream release.
  * control: Update maintainer address.
  * control: Update vcs urls.
  * Bump debhelper to 11.
  * control: Build-depend on libidn2-dev.
  * rules: Migrate to dh_missing, use --fail-missing.
  * certmonger.upstart: Removed.
  * Bump policy to 4.2.1, no changes.
  * control: Set priority: optional.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Oct 2018 10:45:02 +0300

certmonger (0.79.5-3) experimental; urgency=medium

  * Merge changes from upstream git to support sqlite nssdb's.
    (LP: #1747411)
  * force-utf-8.diff: Dropped, upstream.
  * fix-apache-path.diff: Use proper path to apache nssdb.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 30 Mar 2018 09:57:57 +0300

certmonger (0.79.5-2) unstable; urgency=medium

  * force-utf8.diff: Don't clear LANG/LC_* for subprocesses, and if
    they're not set, use C.UTF-8.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 21 Feb 2018 19:59:21 +0200

certmonger (0.79.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 22 Jan 2018 17:45:30 +0200

certmonger (0.79.3-1) unstable; urgency=medium

  * New upstream release.
  * control, copyright, watch: Update urls.
  * patches: Drop nspr4_path, refresh others.
  * control: Migrate to OpenSSL 1.1. (Closes: #851088)
  * control, use-dbus-run-session.diff: Use dbus-run-session instead of dbus-
    launch in tests. (Closes: #836084)
  * rules: Enable parallel build.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Aug 2017 17:58:14 +0300

certmonger (0.78.6-4) unstable; urgency=medium

  * control: Build with libssl1.0-dev. (Closes: #828261)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Nov 2016 09:40:15 +0200

certmonger (0.78.6-3) unstable; urgency=medium

  * Set libexecdir again, the helpers really need to be all in the same
    path. Never touch this again..

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Apr 2016 12:07:46 +0300

certmonger (0.78.6-2) unstable; urgency=medium

  * rules, install: Put the helpers back in multiarch libdir.
  * postrm: Clean old cert requests on remove/purge.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 06 Apr 2016 11:01:58 +0300

certmonger (0.78.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 22 Feb 2016 08:11:26 +0200

certmonger (0.78.5-2) unstable; urgency=medium

  * rules, install: Install libexec stuff to /usr/lib/certmonger instead of
    under multiarch path. FreeIPA needs this so that the same path works on
    every arch.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Jan 2016 21:16:02 +0200

certmonger (0.78.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Dec 2015 15:09:24 +0200

certmonger (0.78.4-1) unstable; urgency=medium

  * New upstream release.
  * control: Add libpopt-dev to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 16 Aug 2015 11:02:04 +0300

certmonger (0.75.14-4) unstable; urgency=medium

  [ Michael Biebl ]
  * control: Transition to libsystemd, fix build-depends. (Closes: #779744)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 11 Jul 2015 05:28:43 +0300

certmonger (0.75.14-3) unstable; urgency=medium

  * control: Depend on dbus. (Closes: #769446)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 05 Dec 2014 10:30:43 +0200



=== debian/control ===
Source: certmonger
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 12), quilt,
 autopoint,
 dbus (>= 1.8),
 dos2unix,
 expect,
 libdbus-1-dev,
 libcurl4-openssl-dev,
 libidn2-dev,
 libjansson-dev,
 libkrb5-dev,
 libldap2-dev,
 libnspr4-dev,
 libnss3-tools,
 libnss3-dev,
 libpopt-dev,
 libssl-dev,
 systemd [linux-any],
 libtevent-dev,
 libxml2-dev,
 lsb-release,
 openssl,
 pkg-config,
 uuid-dev,
Standards-Version: 4.5.0
Homepage: https://pagure.io/certmonger/
Vcs-Git: https://salsa.debian.org/freeipa-team/certmonger.git
Vcs-Browser: https://salsa.debian.org/freeipa-team/certmonger

Package: certmonger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 dbus,
 nss-plugin-pem,
Description: D-Bus -based service to simplify interaction with certificate authorities
 Certmonger is a D-Bus -based service which attempts to simplify
 interaction with certifying authorities (CAs) on networks which use
 public-key infrastructure (PKI).
 .
 If it knows the location of a certificate, certmonger can track the
 expiration date and notify you when the certificate is about to expire.
 .
 If it has access to the corresponding private key and information about
 the CA which issued the certificate, certmonger can even attempt to
 automatically obtain a new certificate.
 .
 Supports certificate and key storage in PEM or NSSDB formats.
 .
 Can self-sign certificates, or can submit them to either certmaster or
 development versions of IPA.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib \
		--with-homedir=/run/certmonger \
		--with-tmpdir=/run/certmonger \
		--enable-systemd \
		--enable-pie \
		--enable-now \
		--enable-tmpfiles \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_test:
	dh_auto_test || true

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	dh_clean
#	rm -f po/*.gmo

gentarball: SOURCE=certmonger
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	tar --transform 's,^,$(SOURCE)-$(UV)/,' \
	        --exclude 'debian' --exclude-vcs \
	        -cJf ../$(SOURCE)_$(UV).orig.tar.xz .

%:
	dh $@ --with quilt --builddirectory=build/

## certmonger 0.79.15

=== debian/changelog ===
certmonger (0.79.15-1) unstable; urgency=medium

  * New upstream release. (Closes: #1003750)
  * control: Bump debhelper-compat to 13, policy to 4.6.0.
  * 0001-candidate-openssl-3.0-compat-fixes.patch: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 23 Feb 2022 13:48:49 +0200

certmonger (0.79.14+git20211010-3) experimental; urgency=medium

  * Fix build with OpenSSL 3.0. (Closes: #1001311)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 Dec 2021 15:13:59 +0200

## certmonger 0.79.16

=== debian/changelog ===
certmonger (0.79.16-1build1) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:44:54 +0000

certmonger (0.79.16-1) unstable; urgency=medium

  * New upstream release. (LP: #1987276)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 26 Aug 2022 09:42:54 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
-Build-Depends: debhelper-compat (= 12), quilt,
+Build-Depends: debhelper-compat (= 13), quilt,
  autopoint,
  dbus (>= 1.8),
  dos2unix,
@@ -27,7 +27,7 @@
  openssl,
  pkg-config,
  uuid-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://pagure.io/certmonger/
 Vcs-Git: https://salsa.debian.org/freeipa-team/certmonger.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/certmonger

=== debian/rules ===
--- 
+++ 
@@ -27,9 +27,6 @@
 override_dh_auto_test:
 	dh_auto_test || true
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_clean:
 	dh_clean
 #	rm -f po/*.gmo

## certmonger 0.79.17

=== debian/changelog ===
certmonger (0.79.17-2) unstable; urgency=medium

  * control: Respect nocheck, thanks Chris Lamb! (Closes: #1032058)
  * rules: Disable DSA.
  * Revert adding an internal nssdb, instead add an upstream patch
    that drops the requirement for one.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 18 Mar 2023 14:33:47 +0200

certmonger (0.79.17-1) unstable; urgency=medium

  * New upstream release.
  * Create a private nssdb.
  * cross.patch: Fix cross-building. Thanks, Helmut Grohne! (Closes:
    #912691)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 25 Feb 2023 12:25:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: certmonger
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
+Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends: debhelper-compat (= 13), quilt,
  autopoint,
@@ -17,7 +16,7 @@
  libldap2-dev,
  libnspr4-dev,
  libnss3-tools,
- libnss3-dev,
+ libnss3-dev (>= 2:3.69),
  libpopt-dev,
  libssl-dev,
  systemd [linux-any],

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 		--libexecdir=/usr/lib \
 		--with-homedir=/run/certmonger \
 		--with-tmpdir=/run/certmonger \
+		--disable-dsa \
 		--enable-systemd \
 		--enable-pie \
 		--enable-now \
@@ -25,7 +26,9 @@
 	dh_auto_install --destdir=debian/tmp
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test || true
+endif
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
#git=https://pagure.io/certmonger.git
version=3
https://releases.pagure.org/certmonger/certmonger-(.*)\.tar\.gz

## certmonger 0.79.19

=== debian/changelog ===
certmonger (0.79.19-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace systemd Build-Depends with systemd-dev. (Closes: #1060589)

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Jul 2024 16:17:36 +0200

certmonger (0.79.19-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * control: Remove unnecessary constraints.

  [ Helmut Grohne ]
  * Do not FTBFS when systemd.pc changes systemdsystemunitdir. (Closes: #1052633)

  [ Timo Aaltonen ]
  * dont-require-an-nss-database.diff: Dropped, upstream.
  * watch: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Oct 2023 14:18:42 +0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends: debhelper-compat (= 13), quilt,
  autopoint,
- dbus (>= 1.8),
+ dbus,
  dos2unix,
  expect,
  libdbus-1-dev,
@@ -19,7 +19,7 @@
  libnss3-dev (>= 2:3.69),
  libpopt-dev,
  libssl-dev,
- systemd [linux-any],
+ systemd-dev [linux-any],
  libtevent-dev,
  libxml2-dev,
  lsb-release,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## certmonger 0.79.20

=== debian/changelog ===
certmonger (0.79.20-2) unstable; urgency=medium

  * control: Build-depend on systemd-dev instead of systemd.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Feb 2025 13:45:59 +0200

certmonger (0.79.20-1) unstable; urgency=medium

  * New upstream release. (Closes: #1077766)
  * control, rules: Migrate to pkgconf.
  * rules: Update clean target. (Closes: #1044048)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Feb 2025 11:26:08 +0200

=== debian/watch ===
#git=https://pagure.io/certmonger.git
version=3
https://pagure.io/certmonger/releases (?:.*)/certmonger-@ANY_VERSION@\.tar\.gz

## certmonger 0.79.21

=== debian/changelog ===
certmonger (0.79.21-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Nov 2025 13:43:04 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  libxml2-dev,
  lsb-release,
  openssl,
- pkg-config,
+ pkgconf,
  uuid-dev,
 Standards-Version: 4.6.0
 Homepage: https://pagure.io/certmonger/

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
+export systemdsystemunitdir = $(shell pkgconf --variable=systemdsystemunitdir systemd | sed s,^/,,)
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -34,7 +34,8 @@
 
 override_dh_clean:
 	dh_clean
-#	rm -f po/*.gmo
+	rm -f po/*.gmo
+	rm -fr m4
 
 gentarball: SOURCE=certmonger
 gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')

=== debian/watch ===
Version: 5

Source: https://pagure.io/certmonger/releases
Matching-Pattern: (?:.*)/certmonger-@ANY_VERSION@\.tar\.gz
